<?php  

	include "conexion.php";
	include "insertar_log.php";
	$id_aplicacion = $_GET['id_aplicacion'];
	$lista_vales = $_GET['lista_vales'];
	$id_vales = $_GET['id_vales'];

	
	function response($estatus,$estatus_mensaje,$respuesta){
		header("HTTP/1.1".$estatus);

		$response["estatus"]=$estatus;
		$response["estatus_mensaje"]=$estatus_mensaje;
		$response["respuesta"]=$respuesta;
		
		$json_response = json_encode($response, JSON_UNESCAPED_UNICODE);
		
		echo $json_response;
	}
	

	if (!isset($_GET['id_aplicacion']))
	{		
		echo response(1,"Request aplicacion requerido","");
        return;
	}
	
	if (!isset($_GET['lista_vales']))
	{
		$datos = " Error Request lista de vales requerido ";	
		insertarLog($datos,$id_aplicacion);
		echo response(1,"Request lista de vale requerido","");
        return;
	}
	
	$array_lista_vale = explode(',', $lista_vales);
	$array_id_vales = explode(',', $id_vales);

	$arrLength = count($array_id_vales) - 1;
	
	$array = array();
	$cont=0;

	for ($i = 0; $i < $arrLength; $i++) {
		
	    $sql = "select * from ";
		$sql .= "vales_detalle ";
		$sql .= "where ";
		$sql .= "uuid=".$array_lista_vale[$i];
		$sql .= " and id_vale=".$array_id_vales[$i];
		
		insertarLog($sql,$id_aplicacion);
	
		$resultado = $conexion->query($sql);
		
		if($resultado == false)
	    {
	    	$datos = " Error al listar vale detalle ";	
			insertarLog($datos,$id_aplicacion);
	        echo response(1,"Error al listar vale detalle","");
	        return;
	    }
	    
	    while ($row=$resultado->fetch_assoc())
	    {
	    	$lista_vale['id_detalle'] = $row['id_detalle'];
	        $lista_vale['estado'] = $row['estado'];
	        
	        $array[$cont] = $lista_vale;
			$cont++;
	    }
	    $resultado->free();
	}
	

	$datos = " Termina proceso listar vales. ";
		insertarLog($datos,$id_aplicacion);
		
	$respuesta="";
	        
	echo json_encode($array,JSON_UNESCAPED_UNICODE);
	return;
?>